class Doc < ActiveRecord::Base

  belongs_to :project
  belongs_to :user
  belongs_to :element_type
  has_many :sections,
           :class_name => "DocElement", 
           :dependent => :destroy, 
           :conditions => "is_section = 1"
  has_many :doc_elements, 
           :dependent => :destroy, 
           :conditions => "is_section = 0"
  has_many :tracer_traceabilities, 
           :class_name => "TraceabilityDoc", 
           :foreign_key => "tracer_id",
           :dependent => :destroy
  has_many :tracers, 
           :through => :tracer_traceabilities
  has_many :traced_traceabilities, 
           :class_name => "TraceabilityDoc", 
           :foreign_key => "traced_id",
           :dependent => :destroy
  has_many :traceds, 
           :through => :traced_traceabilities

  def to_s
    name
  end

  def <=>(doc)
    self.name.downcase <=> doc.name.downcase
  end

end
