class DocElement < ActiveRecord::Base
  
  belongs_to :doc
  belongs_to :user
  has_many :doc_element_values, :dependent => :destroy
  has_many :tracer_traceabilities, 
           :class_name => "Traceability", 
           :foreign_key => "traced_id",
           :dependent => :destroy
  has_many :tracers, 
           :through => :tracer_traceabilities
  has_many :traced_traceabilities, 
           :class_name => "Traceability", 
           :foreign_key => "tracer_id",
           :dependent => :destroy
  has_many :traceds, 
           :through => :traced_traceabilities

  acts_as_tree :order => :position
  acts_as_list :scope => :parent_id
  acts_as_attachable :view_permission => :docs_view,
                     :delete_permission => :docs_edit
  
  def to_s
    name
  end
  
  def <=>(doc)
    self.name.downcase <=> doc.name.downcase
  end

  def project
    self.doc.project
  end
  
end
