class Traceability < ActiveRecord::Base

  belongs_to :traceability_doc
  belongs_to :traced, :class_name => "DocElement"
  belongs_to :tracer, :class_name => "DocElement"

  validates_uniqueness_of :traced_id, :scope => :tracer_id, :message => l(:error_traced_uniqueness)
  validate :traced_not_tracer
  
  def traced_not_tracer
    errors.add_to_base(l(:error_traced_not_tracer)) unless traced_id != tracer_id
  end

  def <=>(traceability)
    if self.traceability_doc.traced.name != traceability.traceability_doc.traced.name
      self.traceability_doc.traced.name <=> traceability.traceability_doc.traced.name
    elsif self.traceability_doc.tracer.name != traceability.traceability_doc.tracer.name
      self.traceability_doc.tracer.name <=> traceability.traceability_doc.tracer.name
    elsif self.traced.name != traceability.traced.name
      self.traced.name <=> traceability.traced.name
    else
      self.tracer.name <=> traceability.tracer.name
    end
  end
  
end
