class CreateElementFields < ActiveRecord::Migration
  def self.up
    create_table :element_fields, :force => true do |t|
      t.column :name,             :string,    :limit => 30,                       :null => false
      t.column :field_format,     :string,                    :default => ""
      t.column :possible_values,  :text
      t.column :regexp,           :string,                    :default => "",     :null => false
      t.column :min_length,       :integer,                   :default => 0,      :null => false
      t.column :max_length,       :integer,                   :default => 0,      :null => false
      t.column :is_required,      :boolean,                   :default => false,  :null => false
      t.column :default_value,    :text
    end
  end

  def self.down
    drop_table :element_fields
  end
end
