class CreateDocs < ActiveRecord::Migration
  def self.up
    create_table :docs, :force => true do |t|
      t.column :project_id,       :integer,                           :null => false
      t.column :user_id,          :integer,                           :null => false
      t.column :element_type_id,  :integer,                           :null => false
      t.column :name,             :string,      :limit => 100,        :null => false
      t.column :description,      :string,      :default => ""
      t.column :version,          :string,      :limit => 30,         :null => false
      t.timestamps
    end
    add_index :docs, [:project_id], :name => "fk_docs_project"
    add_index :docs, [:user_id], :name => "fk_docs_user"
  end

  def self.down
    drop_table :docs
  end
end
