class CreateDocElements < ActiveRecord::Migration
  def self.up
    create_table :doc_elements, :force => true do |t|
      t.column :doc_id,           :integer,                                       :null => false
      t.column :parent_id,        :integer
      t.column :user_id,          :integer,                                       :null => false
      t.column :name,             :string,    :limit => 100,                      :null => false
      t.column :content,          :text,                      :default => ""
      t.column :is_section,       :boolean,                   :default => false,  :null => false
      t.column :position,         :integer,                   :default => 0
      t.timestamps
    end
    add_index :doc_elements, [:doc_id], :name => "fk_doc_elements_doc"
    add_index :doc_elements, [:parent_id], :name => "fk_doc_elements_parent"
    add_index :doc_elements, [:user_id], :name => "fk_doc_elements_user"
  end

  def self.down
    drop_table :doc_elements
  end
end
