class CreateTraceabilityDocs < ActiveRecord::Migration
  def self.up
    create_table :traceability_docs, :force => true do |t|
      t.column :traced_id,        :integer,                           :null => false
      t.column :tracer_id,        :integer,                           :null => false
      t.column :project_id,       :integer,                           :null => false
      t.column :user_id,          :integer,                           :null => false
      t.timestamps
    end
    add_index :traceability_docs, [:traced_id], :name => "fk_traceability_docs_traced"
    add_index :traceability_docs, [:tracer_id], :name => "fk_traceability_docs_tracer"
    add_index :traceability_docs, [:project_id], :name => "fk_traceability_docs_project"
    add_index :traceability_docs, [:user_id], :name => "fk_traceability_docs_user"
  end

  def self.down
    drop_table :traceability_docs
  end
end
