require "redmine"
require "docs"

load_paths.each do |path|
  Dependencies.load_once_paths.delete(path)
end

RAILS_DEFAULT_LOGGER.info "Docs plugin for RedMine"

Redmine::Plugin.register :docs do
  name "Docs plugin"
  url "http://ociotec.com/redmine/projects/show/docs"
  author "Emilio Gonzalez"
  author_url "http://ociotec.com"
  description "This is a plugin for Redmine to define documents and trace them"
  version "0.0.2"

  settings :default => {}, 
           :partial => "settings/docs_settings"

  project_module :docs do
    permission :docs_view, 
               {:docs => [:index, :show, :show_traceability, :export_html, :export_html_traceability],
                :doc_elements => [],
                :traceability_docs => [:index, :show, :export_html]}
    permission :docs_edit, 
               {:docs => [:edit],
                :doc_elements => [:edit, :update, :move, :show, :preview],
                :traceability_docs => [:edit, :edit_traced, :update_traced]}
    permission :docs_manage, 
               {:docs => [:add, :copy, :update_documents, :destroy],
                :doc_elements => [:new, :add, :destroy],
                :traceability_docs => [:add, :destroy]}
  end
  
  menu(:project_menu,
       :docs, 
       {:controller => :docs, :action => :index},
       :caption => :docs_title, 
       :after => :overview)
  menu(:project_menu,
       :traceability_docs, 
       {:controller => :traceability_docs, :action => :index},
       :caption => :traceability_docs_title, 
       :after => :docs)
end
